InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::BiasEstimationSettings Struct Reference

Bias Estimation Algorithm Settings. More...

`#include <OrientationSettings.h>`

## Public Member Functions
| BiasEstimationSettings ()
| BiasEstimationSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
bool | enableBiasEstimation
| Enable gyroscope bias estimation, default is true.
double | biasAlpha
| Set how fast bias is updated (0 <= value <= 1), default is 0.01.
double | gyroThreshold
| Gyroscope absolute threshold (from bias), default is 0.015.
double | gyroDeltaThreshold
| Gyroscope relative threshold (from previous value), default is 0.015.
double | accelThreshold
| Accelerometer absolute threshold (from zero), default is 0.015.
bool | useFixedBias
| Use a fixed gyroscope bias, enableBiasEstimation should be enabled.
double | gxFixedBias
| The fixed gyroscope X-axis bias.
double | gyFixedBias
| The fixed gyroscope Y-axis bias.
double | gzFixedBias
| The fixed gyroscope Z-axis bias.

## Detailed Description

Bias Estimation Algorithm Settings.

Struct containing settings for Bias Estimation Algorithm.

## Constructor & Destructor Documentation

## ◆ BiasEstimationSettings() [1/2]

inertia::BiasEstimationSettings::BiasEstimationSettings | ( |  | ) |

Default constructor.

## ◆ BiasEstimationSettings() [2/2]

inertia::BiasEstimationSettings::BiasEstimationSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates BiasEstimationSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::BiasEstimationSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for BiasEstimationSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::BiasEstimationSettings::ToString | ( |  | ) | const

Get a string representation of this BiasEstimationSettings. The string is compatible with GetOptionDescription() and BiasEstimationSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- OrientationSettings.h